Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PImage

Name

### set()

Examples

    PImage img = loadImage("tower.jpg");
    color black = color(0, 0, 0);
    img.set(30, 20, black);
    img.set(85, 20, black);
    img.set(85, 75, black);
    img.set(30, 75, black);
    image(img, 0, 0);

Description

Changes the color of any pixel or writes an image directly into the image. The x and y parameter specify the pixel or the upper-left corner of the image. The color parameter specifies the color value.
Setting the color of a single pixel with set(x, y) is easy, but not as fast as putting the data directly into pixels[]. The equivalent statement to "set(x, y, #000000)" using pixels[] is "pixels[y*width+x] = #000000". Processing requires calling loadPixels() to load the display window data into the pixels[] array before getting the values and calling updatePixels() to update the window.
As of release 0149, this function ignores imageMode().

Syntax

    img.set(x, y, color)

Parameters

img | PImage: any variable of type PImage
x | int: x-coordinate of the pixel or upper-left corner of the image
y | int: y-coordinate of the pixel or upper-left corner of the image
color | color: any value of the color datatype

Returns | None
Usage | Web & Application
Related | get() pixels[] copy()

Updated on November 22, 2008 08:39:25pm PST